Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2114562 - snapper: FTBFS in Fedora rawhide/f37
Summary: snapper: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapper
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 19:43 UTC by Fedora Release Engineering
Modified: 2023-03-22 03:29 UTC (History)
6 users (show)

Fixed In Version: snapper-0.10.4-1.fc37 snapper-0.10.4-1.fc38 snapper-0.10.4-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-22 01:38:29 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 19:43 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 19:43 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 19:43 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-02 19:43:00 UTC
snapper failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89920743


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix snapper at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
snapper will be orphaned. Before branching of Fedora 38,
snapper will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 19:43:02 UTC
Created attachment 1903099 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-02 19:43:04 UTC
Created attachment 1903100 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 19:43:05 UTC
Created attachment 1903101 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:35:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Jonathan Wakely 2023-02-20 22:51:06 UTC
On rawhide we get:

In file included from ../snapper/Enum.h:33,
                 from Enum.cc:23:
../snapper/Snapshot.h:130:9: error: 'uint64_t' does not name a type
  130 |         uint64_t getUsedSpace() const;
      |         ^~~~~~~~
../snapper/Snapshot.h:35:1: note: 'uint64_t' is defined in header '<cstdint>'; did you forget to '#include <cstdint>'?
   34 | #include "snapper/Exception.h"
  +++ |+#include <cstdint>
   35 | 


As well as:

In file included from Snapper.cc:55:
../snapper/Selinux.h: In member function 'char* snapper::SnapperContexts::subvolume_context() const':
../snapper/Selinux.h:53:61: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]
   53 |         char* subvolume_context() const { return context_str(subvolume_ctx); }
      |                                                  ~~~~~~~~~~~^~~~~~~~~~~~~~~
      |                                                             |
      |                                                             const char*
make[2]: *** [Makefile:596: Snapper.lo] Error 1

Comment 6 Fedora Update System 2023-03-21 03:42:33 UTC
FEDORA-2023-c31e8a2fcc has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c31e8a2fcc

Comment 7 Fedora Update System 2023-03-21 03:42:40 UTC
FEDORA-2023-08262bf7ec has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-08262bf7ec

Comment 8 Fedora Update System 2023-03-21 03:42:45 UTC
FEDORA-2023-871c6bb3c9 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-871c6bb3c9

Comment 9 Fedora Update System 2023-03-22 01:38:29 UTC
FEDORA-2023-08262bf7ec has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-03-22 02:06:53 UTC
FEDORA-2023-871c6bb3c9 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-03-22 03:29:59 UTC
FEDORA-2023-c31e8a2fcc has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.